apiVersion: v1
data:
  Corefile: |
    # lighthouse
    clusterset.local:5353 {
        prometheus 127.0.0.1:9153
        forward . 172.30.121.59 {
            policy random
        }
        errors
        log . {
            class error
        }
        bufsize 1232
        cache 900 {
            denial 9984 30
        }
    }
    .:5353 {
        bufsize 1232
        errors
        log . {
            class error
        }
        health {
            lameduck 20s
        }
        ready
        kubernetes cluster.local in-addr.arpa ip6.arpa {
            pods insecure
            fallthrough in-addr.arpa ip6.arpa
        }
        prometheus 127.0.0.1:9153
        forward . /etc/resolv.conf {
            policy sequential
        }
        cache 900 {
            denial 9984 30
        }
        reload
    }
    hostname.bind:5353 {
        chaos
    }
kind: ConfigMap
metadata:
  creationTimestamp: "2024-11-19T21:08:36Z"
  labels:
    dns.operator.openshift.io/owning-dns: default
  managedFields:
  - apiVersion: v1
    fieldsType: FieldsV1
    fieldsV1:
      f:data:
        .: {}
        f:Corefile: {}
      f:metadata:
        f:labels:
          .: {}
          f:dns.operator.openshift.io/owning-dns: {}
        f:ownerReferences:
          .: {}
          k:{"uid":"668b89fa-0463-4c2e-b2b6-adcf6695a46a"}: {}
    manager: dns-operator
    operation: Update
    time: "2024-12-11T23:21:39Z"
  name: dns-default
  namespace: openshift-dns
  ownerReferences:
  - apiVersion: operator.openshift.io/v1
    controller: true
    kind: DNS
    name: default
    uid: 668b89fa-0463-4c2e-b2b6-adcf6695a46a
  resourceVersion: "10730856"
  uid: f1a726da-f694-47da-ac3f-835fd73f8c33
